Loading...
Searching...
No Matches
HalideRuntimeWebGPU.h File Reference

Routines specific to the Halide WebGPU runtime. More...

`#include "HalideRuntime.h"`

Go to the source code of this file.

## Macros

#define | HALIDE_RUNTIME_WEBGPU

## Functions

const struct halide_device_interface_t * | halide_webgpu_device_interface ()
int | halide_webgpu_initialize_kernels (void *user_context, void **state_ptr, const char *src, int size)
| These are forward declared here to allow clients to override the Halide WebGPU runtime.
int | halide_webgpu_run (void *user_context, void *state_ptr, const char *entry_name, int blocksX, int blocksY, int blocksZ, int threadsX, int threadsY, int threadsZ, int shared_mem_bytes, halide_type_t arg_types[], void *args[], int8_t arg_is_buffer[])
void | halide_webgpu_finalize_kernels (void *user_context, void *state_ptr)

## Detailed Description

Routines specific to the Halide WebGPU runtime.

Definition in file HalideRuntimeWebGPU.h.

## Macro Definition Documentation

## HALIDE_RUNTIME_WEBGPU

#define HALIDE_RUNTIME_WEBGPU

Definition at line 19 of file HalideRuntimeWebGPU.h.

## Function Documentation

## halide_webgpu_device_interface()

const struct halide_device_interface_t * halide_webgpu_device_interface | ( |  | ) |

extern

## halide_webgpu_initialize_kernels()

int halide_webgpu_initialize_kernels | ( | void * | user_context,
|  | void ** | state_ptr,
|  | const char * | src,
|  | int | size )

extern

These are forward declared here to allow clients to override the Halide WebGPU runtime.

Do not call them.

## halide_webgpu_run()

int halide_webgpu_run | ( | void * | user_context,
|  | void * | state_ptr,
|  | const char * | entry_name,
|  | int | blocksX,
|  | int | blocksY,
|  | int | blocksZ,
|  | int | threadsX,
|  | int | threadsY,
|  | int | threadsZ,
|  | int | shared_mem_bytes,
|  | halide_type_t | arg_types[],
|  | void * | args[],
|  | int8_t | arg_is_buffer[] )

extern

## halide_webgpu_finalize_kernels()

void halide_webgpu_finalize_kernels | ( | void * | user_context,
|  | void * | state_ptr )

extern